datablock WheeledVehicleData(Monotramvehicle)
{
    category = "Vehicles";
    displayName = " ";
    shapeFile = "./shapes/Monotram.dts";
    emap = true;
    minMountDist = 3;
	
	isTrain = 1;
   
    numMountPoints = 6;
    mountThread[0] = "root";
	mountThread[1] = "root";
	mountThread[2] = "root";
	mountThread[3] = "root";
	mountThread[4] = "root";
	mountThread[5] = "root";
	
    maxDamage = 200.00;
    destroyedLevel = 200.00;
    energyPerDamagePoint = 160;
    speedDamageScale = 1.04;
    collDamageThresholdVel = 20.0;
    collDamageMultiplier   = 0.02;

    massCenter = "0 0 0";

    maxSteeringAngle = 0;  // Maximum steering angle, should match animation
    integration = 4;           // Force integration time: TickSec/Rate

    //3rd person camera settings
    cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 13;         // Far distance from vehicle
	cameraOffset = 8;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.3;
	collisionTol = 0.1;        // Collision distance tolerance
	contactTol = 0.1;

    useEyePoint = false;    

	defaultTire	= tankTire;
	defaultSpring = tankSpring;        //We dont really need a specific string so we steal one from a default vehicle with high mass

    numWheels = 6;

    // Rigid Body
    mass = 400;
    density = 5.0;
    drag = 1.6;
    bodyFriction = 0.6;
    bodyRestitution = 0.6;
    minImpactSpeed = 10;       // Impacts over this invoke the script callback
    softImpactSpeed = 10;      // Play SoftImpact Sound
    hardImpactSpeed = 15;      // Play HardImpact Sound
    groundImpactMinSpeed    = 10.0;

    // Engine
    engineTorque = 1000;      // Engine power, this is really low but that makes sense for a train
    engineBrake = 100;        // Braking when throttle is 0, train rolls almost freely but does slow down a little
    brakeTorque = 1000;        // When brakes are applied (spacebar), really stops the train quickly
    maxWheelSpeed = 20;       // Engine scale by current speed / max speed

    rollForce        = 0;
    yawForce        = 0;
    pitchForce        = 1000;
    rotationalDrag        = 0.2;

    // Energy
    maxEnergy = 100;
    jetForce = 3000;
    minJetEnergy = 30;
    jetEnergyDrain = 2;

    splash = vehicleSplash;
    splashVelocity = 4.0;
    splashAngle = 67.0;
    splashFreqMod = 300.0;
    splashVelEpsilon = 0.60;
    bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
    mediumSplashSoundVelocity = 10.0;   
    hardSplashSoundVelocity = 20.0;   
    exitSplashSoundVelocity = 5.0;
    
    // Sounds
    //jetSound = ScoutThrustSound;
    //engineSound = idleSound;
    softImpactSound = slowImpactSound;
    hardImpactSound = fastImpactSound;
    //wheelImpactSound = slowImpactSound;

    //explosion = VehicleExplosion;
    justcollided = 0;

    uiName = "Monotram";
    rideable = true;
    lookUpLimit = 0.65;
    lookDownLimit = 0.45;

    paintable = true;
   
    damageEmitter[0] = VehicleBurnEmitter;
    damageEmitterOffset[0] = "0.0 0.0 0.0 ";
    damageLevelTolerance[0] = 0.99;

    damageEmitter[1] = VehicleBurnEmitter;
    damageEmitterOffset[1] = "0.0 0.0 0.0 ";
    damageLevelTolerance[1] = 1.0;

    numDmgEmitterAreas = 1;

    initialExplosionProjectile = jeepExplosionProjectile;
    initialExplosionOffset = 0;         //offset only uses a z value for now

    burnTime = 4000;

    finalExplosionProjectile = tankFinalExplosionProjectile;
    finalExplosionOffset = 0.5;          //offset only uses a z value for now


    minRunOverSpeed    = 10;   //how fast you need to be going to run someone over (do damage)
    runOverDamageScale = 20;     //when you run over someone, speed * runoverdamagescale = damage amt
    runOverPushScale   = 0;   //how hard a person you're running over gets pushed
};